<%@ Control Language="vb" AutoEventWireup="false"  Inherits="GCR.Modules.ContactForm.Settings" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx"%>
<asp:UpdatePanel ID="UpdatePanel1" runat="server">
<ContentTemplate>
 <script type="text/javascript"
    src="http://maps.googleapis.com/maps/api/js?sensor=false">
</script>
<script type="text/javascript">
    var geocoder = null;
    var map = null;
    var markers = [];
    function showAddress(userinfo, mapaddress) {
        geocoder.geocode({ 'address': mapaddress }, function(results, status) {
            if (status == google.maps.GeocoderStatus.OK) {
                map.setCenter(results[0].geometry.location);
                //alert(zoom);
                //map.setZoom(zoom);
                var image = "http://gmaps-samples.googlecode.com/svn/trunk/markers/orange/marker1.png";
                var marker = new google.maps.Marker({
                    map: map,
                    position: results[0].geometry.location,
                    icon: image
                });
                var infowindow = new google.maps.InfoWindow({
                    content: userinfo + mapaddress
                });
                google.maps.event.addListener(marker, 'mouseover', function() {
                    infowindow.open(map, this);
                });
                google.maps.event.addListener(marker, 'mouseout', function() {
                    infowindow.close();
                });
                //markers[loop] = marker;
            } else {
                alert("Geocode was not successful for the following reason: " + status);
            }
        });
    }
    function initialize(zoomlevel) {
        geocoder = new google.maps.Geocoder();
        var myLatlng = new google.maps.LatLng(37.4419, -122.1419);
        var myOptions = {
            zoom: zoomlevel,
            center: myLatlng,
            mapTypeId: google.maps.MapTypeId.ROADMAP

        };
        map = new google.maps.Map(document.getElementById("map_canvas"),
    myOptions);
        //        showAddress();
    }
    function openInfoPanel(loop) {
        var marker = markers[loop];
        google.maps.event.trigger(marker, "mouseover");
    }

</script>
<style type="text/css">
    .style2
    {
        height: 33px;
    }
    .style3
    {
        height: 31px;
    }
</style>
<div style="width:100%"><table><tr><td>
<table>
<tr><td><dnn:label id="Label3" HelpText="Provide Title For Name" ControlName="txtname"  Text="Name Title:" runat="server" /></td>
    <td class="style3">
    <asp:TextBox ID="txtname" runat="server"></asp:TextBox>
    </td> <td class="style3">
    <asp:CheckBox ID="chkname" runat="server"/>
    </td>
</tr>
<tr><td><dnn:label id="Label19" HelpText="Provide Title For Company Name" ControlName="txtcompanyname"  Text="Company Name Title:" runat="server" /></td>
    <td class="style3">
    <asp:TextBox ID="txtcompanyname" runat="server"></asp:TextBox>
    </td> <td class="style3">
    <asp:CheckBox ID="chkcompanyname" runat="server"/>
    </td>
</tr>
<tr><td><dnn:label id="Label1" HelpText="Provide Title For Email" ControlName="txtemail"  Text="Email Title:" runat="server" /></td>
    <td class="style3">
    <asp:TextBox ID="txtemail" runat="server"></asp:TextBox></td>
    <td class="style3">
    <asp:CheckBox ID="chkemail" runat="server" /></td>

</tr>
<tr><td><dnn:label id="Label2" HelpText="Provide Title For Phone" ControlName="txtphone"  Text="Phone Title:" runat="server" /></td>
    <td class="style3">
    <asp:TextBox ID="txtphone" runat="server"></asp:TextBox></td>
    <td class="style3">
    <asp:CheckBox ID="chkphone" runat="server" /></td>
</tr>
<tr><td><dnn:label id="Label4" HelpText="Provide Title For Country" ControlName="txtcountry"  Text="Country Title:" runat="server" /></td>
    <td class="style3">
    <asp:TextBox ID="txtcountry" runat="server"></asp:TextBox></td>
    <td class="style3">
    <asp:CheckBox ID="chkcountry" runat="server" /></td>
</tr>
<tr><td><dnn:label id="Label5" HelpText="Provide Title For State" ControlName="txtstate"  Text="State Title:" runat="server" /></td>
    <td class="style3">
    <asp:TextBox ID="txtstate" runat="server"></asp:TextBox></td>
    <td class="style3">
    <asp:CheckBox ID="chkstate" runat="server" /></td>
</tr>
<tr><td><dnn:label id="Label6" HelpText="Provide Title For City" ControlName="txtcity"  Text="City Title:" runat="server" /></td>
    <td class="style3">
    <asp:TextBox ID="txtcity" runat="server"></asp:TextBox></td>
    <td class="style3">
    <asp:CheckBox ID="chkcity" runat="server" /></td>
</tr>
<tr><td><dnn:label id="Label7" HelpText="Provide Title For ZipCode" ControlName="txtzipcode"  Text="ZipCode Title:" runat="server" /></td>
    <td class="style3">
    <asp:TextBox ID="txtzipcode" runat="server"></asp:TextBox></td>
    <td class="style3">
    <asp:CheckBox ID="chkzipcode" runat="server" /></td>
</tr>
<tr><td><dnn:label id="Label8" HelpText="Provide Title For Address" ControlName="txtaddress"  Text="Address Title:" runat="server" /></td>
<td class="style3">   <asp:TextBox ID="txtaddress" runat="server"></asp:TextBox></td>
    <td class="style3"><asp:CheckBox ID="chkaddress" runat="server" /></td>
</tr>
<tr><td><dnn:label id="Label9" HelpText="Provide Title For Remarks" ControlName="txtremarks"  Text="Remarks Title:" runat="server" /></td>
    <td class="style3">
    <asp:TextBox ID="txtremarks" runat="server"></asp:TextBox></td>
    <td class="style3">
    <asp:CheckBox ID="chkremarks" runat="server" /></td>
    </tr>
    <tr><td><dnn:label id="Label22" HelpText="Provide Title For Website" ControlName="txtwebsite"  Text="Website Title:" runat="server" /></td>
    <td class="style3">
    <asp:TextBox ID="txtwebsite" runat="server"></asp:TextBox>
    </td> <td class="style3">
    <asp:CheckBox ID="chkwebsite" runat="server"/>
    </td>
</tr>
    <tr><td><dnn:label id="Label10" HelpText="Check or Uncheck the checkbox for visible or invisible captcha" ControlName="Chkcapcha"  Text="Visible Captcha:" runat="server" /></td>
    <td><asp:CheckBox ID="Chkcapcha" runat="server" /></td><td></td></tr>
       <tr>
      <td><dnn:label id="Label11" HelpText="Give the text here which will be showing to the user after submitting the detail" ControlName="txtconfirmation"  Text="Confirmation Text:" runat="server" /></td>
    <td class="style3">
    <asp:TextBox ID="txtconfirmation" runat="server"></asp:TextBox></td>
    </tr>
    <tr>
    <td><dnn:label id="Label12" HelpText="Provide The Location For Google Map" ControlName="txtmapaddress"  Text="Map Location:" runat="server" /></td>
    <td class="style3">
    <asp:TextBox ID="txtmapaddress" runat="server"></asp:TextBox></td><td><asp:Button ID="btnpreview" runat="server" Text="PreviewMap" /></td></tr> 
               <tr>
               <td><dnn:label id="Label13" HelpText="Provide The Baloon Click Info For Google Map" ControlName="txtmapuserinfo"  Text="Map Baloon Info:" runat="server" /></td>
    <td class="style3">
    <asp:TextBox ID="txtmapuserinfo" runat="server"></asp:TextBox></td>
    </tr>
     <tr>
               <td><dnn:label id="Label23" HelpText="Provide The Zoom Level For Google Map,Give Number" ControlName="txtmapzoomlevel"  Text="Map Zoom Level:" runat="server" /></td>
    <td class="style3">
    <asp:TextBox ID="txtmapzoomlevel" runat="server"></asp:TextBox></td>
    </tr>
    <tr>
        <td class="SubHead" colspan="2">
           <center>IMAGE BUTTONS SETTINGS</center></td>
    </tr>
     <tr><td><dnn:label id="Label24" HelpText="For uploading a image for submit button browse the image by browse button and then click on Upload File button" ControlName="FileUpload1"  Text="Submit Button Image:" runat="server" /></td><td>
     <asp:FileUpload ID="uploadsubmitimage" runat="server" /></td></tr>
          <tr><td><dnn:label id="Label25" HelpText="For uploading a image for cancel button browse the image by browse button and then click on upload file button" ControlName="uploadsubimage"  Text="Cancel Button Image:" runat="server" /></td><td>
     <asp:FileUpload ID="uploadcancelimage" runat="server" /></td></tr>
               <tr><td><dnn:label id="Label26" HelpText="For uploading a image for refresh button browse the image by browse button and then click on upload file button" ControlName="uploadrefimg"  Text="Refresh Button Image:" runat="server" /></td><td>
     <asp:FileUpload ID="uploadrefimg" runat="server" /></td></tr>
    <tr><td></td><td>
         <asp:Button ID="btnupload" runat="server" Text="Upload File" /></td></tr>
</table>
</td><td valign=top ><div id="map_canvas" style="width: 380px; height: 350px"></div></td></tr> 
</table>
    <br />
<div ></div>
<div style="width:800px"><table> 
    <caption>
        <b>You can create your own template for contact form.You can use the given token
        </b>
        </tr>
        <tr>
            <td>
                <dnn:TextEditor ID="txtpagelayout" runat="server" height="600" width="500" />
            </td>
            <td style="vertical-align:top">
                <b>Below are the list of all the avaiTitle tokens.<br />
                <hr />
                [title_name][txt_name]<br />
                [title_companyname][txt_companyname]<br />
                [title_website][txt_website]<br />
                [title_email][txt_email]<br />
                [title_phone][txt_phone]<br />
                [title_country][txt_country]<br />
                [title_state][txt_state]<br />
                [title_city][txt_city]<br />
                [title_zipcode][txt_zipcode]<br />
                [title_address][txt_address]<br />
                [title_remarks][txt_remarks]<br />
                [captcha]<br />
                [submit][cancel][map]</b><br />
                <br />
                Below is e.g. Template<hr />
                &lt;table&gt; &lt;tr&gt; &lt;td&gt; [title_name] &lt;/td&gt; &lt;td&gt; [txt_name] &lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td&gt; 
                [title_companyname] &lt;/td&gt; &lt;td&gt; [txt_companyname] &lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td&gt; 
                [title_website] &lt;/td&gt; &lt;td&gt; [txt_website] &lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td&gt; [title_email] 
                &lt;/td&gt; &lt;td &gt; [txt_email] &lt;/td&gt; &lt;/tr&gt; &lt;tr&gt; &lt;td&gt; [submit] &lt;/td&gt; &lt;td &gt; [cancel] 
                &lt;/td&gt; &lt;/tr&gt; &lt;/table&gt;
            </td>
        </tr>
    </caption>
</table><br />
 </div>
 
 <div>
 <table>
 <tr> <td><dnn:label id="Label21" HelpText="Check The Check Box if you want to send the mail to the user" ControlName="chksendmail"  Text="Do You Want To Send Email To The User:" runat="server" /></td><td>
     <asp:CheckBox ID="chksendmail" runat="server" /><br /></td>
     </tr>
     <tr>
     <td>
    <b>
    Set the Email Body,Subject and Admin Email Address:
    </b>
    </td>
 </tr> 
 </table>
<table>
<tr>
    <td><dnn:label id="Label14" HelpText="Provide The Name of SMTP Server" ControlName="txtsmtp"  Text="SMTP Server:" runat="server" /></td>
    <td><asp:TextBox ID="txtsmtp" runat="server" Width="331px"></asp:TextBox></td>
    </tr>
    <tr>
    <td><dnn:label id="Label15" HelpText="Provide The Port Number For SMTP Server" ControlName="txtportnumber"  Text="Port Number:" runat="server" /></td>
    <td><asp:TextBox ID="txtportnumber" runat="server" Width="331px"></asp:TextBox></td>
    </tr>
<tr>
<td><dnn:label id="Label16" HelpText="Provide Admin Mail Address" ControlName="txtadminmailaddress"  Text="Admin Mail Address:" runat="server" /></td>
<td>
    <asp:TextBox ID="txtadminmailaddress" runat="server" Width="331px"></asp:TextBox></td></tr>
<tr>
   <td><dnn:label id="Label17" HelpText="Provide Password For Admin Mail" ControlName="txtadminmailpassword"  Text="Admin Mail Password:" runat="server" /></td>
    <td><asp:TextBox ID="txtadminmailpassword" runat="server" Width="331px"></asp:TextBox></td></td>
    </tr>
    <tr>
    <td><dnn:label id="Label18" HelpText="Provide The Email Subject Here" ControlName="txtmailsubject"  Text="Mail Subject:" runat="server" /></td>
    <td>
    <asp:TextBox ID="txtmailsubject" runat="server" Width="331px"></asp:TextBox></td>
    </tr> 
    <caption>
        <br />
        <br />
        </tr>
    </caption>
     </table>
<div><br />
    <b><dnn:label id="Label20" HelpText="Provide message body content in text editor" ControlName="txtcontent"  Text="Provide the User Mail body content in text editor :" runat="server" /></b>
 
<dnn:texteditor id="txtContent" runat="server" height="200" width="500" />
</div></div>
</div>
</ContentTemplate>
<Triggers>

<asp:PostBackTrigger ControlID="btnupload" />

</Triggers>
</asp:UpdatePanel>