<%@ Control language="vb" Inherits="GCR.Modules.ContactForm.ViewContactForm"  AutoEventWireup="false" Explicit="True" %>
<%@ Register TagPrefix="dnn" TagName="Audit" Src="~/controls/ModuleAuditControl.ascx" %>
   <script type="text/javascript"
    src="http://maps.googleapis.com/maps/api/js?sensor=false">
</script>
<script type="text/javascript">
    var geocoder = null;
    var map = null;
    var markers = [];
    function showAddress(userinfo, mapaddress) {
        geocoder.geocode({ 'address': mapaddress }, function(results, status) {
            if (status == google.maps.GeocoderStatus.OK) {
                map.setCenter(results[0].geometry.location);
                //alert(zoom);
                //map.setZoom(zoom);
                var image = "http://gmaps-samples.googlecode.com/svn/trunk/markers/orange/marker1.png";
                var marker = new google.maps.Marker({
                    map: map,
                    position: results[0].geometry.location,
                    icon: image
                });
                var infowindow = new google.maps.InfoWindow({
                    content: userinfo+mapaddress 
                });
                google.maps.event.addListener(marker, 'mouseover', function() {
                    infowindow.open(map, this);
                });
                google.maps.event.addListener(marker, 'mouseout', function() {
                    infowindow.close();
                });
                //markers[loop] = marker;
            } else {
                alert("Geocode was not successful for the following reason: " + status);
            }
        });
    }
    function initialize(zoomlevel) {
        geocoder = new google.maps.Geocoder();
        var myLatlng = new google.maps.LatLng(37.4419, -122.1419);
        var myOptions = {
            zoom: zoomlevel,
            center: myLatlng,
            mapTypeId: google.maps.MapTypeId.ROADMAP
        
        };
        map = new google.maps.Map(document.getElementById("map_canvas"),
    myOptions);
//        showAddress();
    }
    function openInfoPanel(loop) {
        var marker = markers[loop];
        google.maps.event.trigger(marker, "mouseover");
    }

</script>
 <%--<body onload="initialize()">
</body> --%>  
   
<script type="text/javascript" src="<%=ControlPath %>js/validation.js"></script>
<script type="text/javascript">
   //Created / Generates the captcha function    
    function DrawCaptcha()
    {
        var a = Math.ceil(Math.random() * 10)+ '';
        var b = Math.ceil(Math.random() * 10)+ '';       
        var c = Math.ceil(Math.random() * 10)+ '';  
        var d = Math.ceil(Math.random() * 10)+ '';  
        var e = Math.ceil(Math.random() * 10)+ '';  
        var f = Math.ceil(Math.random() * 10)+ '';  
        var g = Math.ceil(Math.random() * 10)+ '';  
        var code = a + ' ' + b + ' ' + ' ' + c + ' ' + d + ' ' + e + ' '+ f + ' ' + g;
        document.getElementById("txtCaptcha").value = code
        document.getElementById("txtCaptcha").disabled =1
    }

    // Validate the Entered input aganist the generated security code function   
    function ValidCaptcha(){
        var str1 = removeSpaces(document.getElementById('txtCaptcha').value);
        var str2 = removeSpaces(document.getElementById('txtInput').value);
        if (str1 == str2) return true;        
        return false;
        
    }

    // Remove the spaces from the entered and generated code
    function removeSpaces(string)
    {
        return string.split(' ').join('');
    }


////////////VALIDATIONS



    function validateForm() {

        var counter = 0
        aresult = true;
        document.getElementById('result').innerHTML = "";
        if (document.getElementById('txtname')) {
            if (!checkEmptyControl('txtname', 'result', '* Name Is Required')) {
                counter += 1;
            }
            else {
                document.getElementById('txtname').style.border = 'solid 1px gray';
            }
        }
        if (document.getElementById('txtemail')) {
            if (!checkEmptyControl('txtemail', 'result', '* Email Is Required')) {
                counter += 1;
            }
            else {
                document.getElementById('txtemail').style.border = 'solid 1px gray';
            }
            if (!ValidateEmail('txtemail', 'result', '* Email Is Invalid')) {
                counter += 1;
            }
            else {
                document.getElementById('txtemail').style.border = 'solid 1px gray';
            }
        }
            if (document.getElementById('txtphone')) {
                if (!checkEmptyControl('txtphone', 'result', '* Phone Is Required')) {
                    counter += 1;
                }
                else {
                    document.getElementById('txtphone').style.border = 'solid 1px gray';
                }
            }
//            if (!ValidatePhone('txtphone', 'result', '* Enter Valid Phone Number')) {
//                counter += 1;
//            }
//            else {
//                document.getElementById('txtphone').style.border = 'solid 1px gray';
//            }
//            if (!checkEmptyControl('txtremarks', 'result', '* Remarks Is Required')) {
//                counter += 1;
//            }
//            else {
//                document.getElementById('txtremarks').style.border = 'solid 1px gray';
//            }


            if (document.getElementById('txtInput')) {
                if (!checkEmptyControl('txtInput', 'result', '* Captcha Is Required')) {
                    counter += 1;
                }
                else {

                    if (!ValidCaptcha()) {
                        document.getElementById('result').innerHTML += '<br/>* Captcha Not Matched';
                        document.getElementById('txtInput').style.border = 'solid 1px red';
                        return false;
                    }
                    else { document.getElementById('txtInput').style.border = 'solid 1px gray'; }

                }
            }
            document.getElementById('result').style.display = "block";
            document.getElementById('errMsg').style.display = "block";
        if (counter > 0) {
            aresult = false;
        }
        else {
            document.getElementById('result').style.display = "none";
            document.getElementById('errMsg').style.display = "none";     
        }
        return aresult;
    }
    </script>
<style type="text/css">
    .hidden {display:none;}
    </style>

 <div id="result"></div>
<div id="errMsg"></div>
 <div>
    <table><tr><td rowspan=2> <asp:Literal ID="ltlLayout" runat="server"></asp:Literal></td><td valign="top" ><asp:Literal ID="ltlmap" runat="server"></asp:Literal></td></tr>
</table> 
    
     <asp:Panel ID="pnkCopyright" runat="server">
     </asp:Panel>
</div>























<%--
<asp:DropDownList ID="DropDownList1" runat="server">
</asp:DropDownList>--%>






















